<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
	<title>LAX Airport Traffic</title>
	<link rel="stylesheet" href="styles.css">
</head>
<body>

<h1>
	<img src="../Los_Angeles_Airport_logo.svg" width="300" height="84" alt="Los Angeles Airport Logo">
	Passenger Traffic By Terminal
</h1>

<p>Source: <a href="https://catalog.data.gov/dataset/los-angeles-international-airport-passenger-traffic-by-terminal-756ee">Data.gov</a></p>

<?php
print ("<form method=\"post\" action=\"index.php\">\n<fieldset>\n");

/* Filter Month*/
print ("<label>Month</label><br>\n");
print ("<select name=\"month\">\n");

$months = [
	"allMonths" => "All",
	"1" => "January",
	"2" => "February",
	"3" => "March",
	"4" => "April",
	"5" => "May",
	"6" => "June",
	"7" => "July",
	"8" => "August",
	"9" => "September",
	"10" => "October",
	"11" => "November",
	"12" => "December",
];

if (isset($_POST['month']))
{
	foreach ($months as $key => $value)
	{
		if ($_POST['month'] == $key)
		{
			if ($key == 'allMonths')
			{
				$filterMonth= 'ReportPeriod LIKE \'%\'';
				print ("<option value=\"$key\" selected=\"selected\">$value</option>\n");
			}
			else
			{
				$filterMonth= 'ReportPeriod LIKE \''.$value.'%\'';
				print ("<option value=\"$key\" selected=\"selected\">$value</option>\n");
			}
		}
		else
		{
			print ("<option value=\"$key\">$value</option>\n");
		}
	}
}
else
{
	foreach ($months as $key => $value)
	{
		if ($key == 'allMonths')
		{
			$filterMonth= 'ReportPeriod LIKE \'%\'';
			print ("<option value=\"$key\" selected=\"selected\">$value</option>\n");
		}
		else
		{
			print ("<option value=\"$key\">$value</option>\n");
		}
	}
}
print ("</select><br>\n");

/* Year Filter */
print ("<label>Year</label><br>\n");
print ("<select name=\"year\">\n");

if (isset($_POST['year']))
{
	if ($_POST['year'] == 'allYears')
	{
		$filterYear= 'ReportPeriod LIKE \'%\'';
		print ("<option value=\"allYears\" selected=\"selected\">All</option>\n");
		for ($i=2006; $i <= 2019 ; $i++)
		{
			print ("<option value=\"$i\">$i</option>\n");
		}	
	}
	else
	{
		print ("<option value=\"allYears\">All</option>\n");
		for ($i=2006; $i <= 2019 ; $i++)
		{	
			if ($i == $_POST['year'])
			{
				$filterYear= 'ReportPeriod LIKE \'%'.$i.'\'';
				print ("<option value=\"$i\" selected=\"selected\">$i</option>\n");
			}
			else
			{
				print ("<option value=\"$i\">$i</option>\n");
			}
		}
	}
}
else
{
	print ("<option value=\"allYears\" selected=\"selected\">All</option>\n");
	$filterYear= 'ReportPeriod LIKE \'%\'';
	for ($i=2006; $i <= 2019 ; $i++)
	{	
		print ("<option value=\"$i\">$i</option>\n");
	}
}
print ("</select><br>\n");

/* Terminal Filter */
print ("<label>Terminal</label><br>\n");
print ("<select name=\"terminal\">\n");

$terminals = [
	"allTerminals" => "All",
	"imperial" => "Imperial Terminal",
	"misc" => "Misc. Terminal",
	"terminal1" => "Terminal 1",
	"terminal2" => "Terminal 2",
	"terminal3" => "Terminal 3",
	"terminal4" => "Terminal 4",
	"terminal5" => "Terminal 5",
	"terminal6" => "Terminal 6",
	"terminal7" => "Terminal 7",
	"terminal8" => "Terminal 8",
	"tombradley" => "T. Bradley Int'l Terminal",
];

if (isset($_POST['terminal']))
{
	switch($_POST['terminal'])
	{
		case 'imperial':
			$filterTerminal = 'Terminal LIKE \'Imperial Terminal\'';
			break;
		case 'misc':
			$filterTerminal = 'Terminal LIKE \'Misc. Terminal\'';
			break;
		case 'terminal1':
			$filterTerminal = 'Terminal LIKE \'Terminal 1\'';
			break;
		case 'terminal2':
			$filterTerminal = 'Terminal LIKE \'Terminal 2\'';
			break;
		case 'terminal3':
			$filterTerminal = 'Terminal LIKE \'Terminal 3\'';
			break;
		case 'terminal4':
			$filterTerminal = 'Terminal LIKE \'Terminal 4\'';
			break;
		case 'terminal5':
			$filterTerminal = 'Terminal LIKE \'Terminal 5\'';
			break;
		case 'terminal6':
			$filterTerminal = 'Terminal LIKE \'Terminal 6\'';
			break;
		case 'terminal7':
			$filterTerminal = 'Terminal LIKE \'Terminal 7\'';
			break;
		case 'terminal8':
			$filterTerminal = 'Terminal LIKE \'Terminal 8\'';
			break;
		case 'tombradley':
			$filterTerminal = 'Terminal LIKE \'Tom Bradley International Terminal\'';
			break;
		default:
			$filterTerminal = 'Terminal LIKE \'%\'';
	}

	foreach ($terminals as $key => $value)
	{
		if ($_POST['terminal'] == $key)
		{
			print ("<option value=\"$key\" selected=\"selected\">$value</option>\n");
		}
		else
		{
			print ("<option value=\"$key\">$value</option>\n");
		}
	}
}
else
{
	$filterTerminal = 'Terminal LIKE \'%\'';
	foreach ($terminals as $key => $value)
	{
		if ($key == 'allTerminals')
		{
			print ("<option value=\"$key\" selected=\"selected\">$value</option>\n");
		}
		else
		{
			print ("<option value=\"$key\">$value</option>\n");
		}
	}
}
print ("</select><br>\n");

/* Direction Filter */
print ("<label>Direction</label><br>\n");
if (isset($_POST['direction']))
{
	if ($_POST['direction'] == 'arrival')
	{
		$filterDirection = 'Arrival_Departure LIKE \'Arrival\'';
		print ("<input type=\"radio\" name=\"direction\" value=\"arrival\" checked>Arrival<br>\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"departure\">Departure<br>\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"both\">Both<br>\n");
	}

	if ($_POST['direction'] == 'departure')
	{
		$filterDirection = 'Arrival_Departure LIKE \'Departure\'';
		print ("<input type=\"radio\" name=\"direction\" value=\"arrival\">Arrival<br>\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"departure\" checked>Departure<br>\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"both\">Both<br>\n");
	}

	if ($_POST['direction'] == 'both')
	{
		$filterDirection = 'Arrival_Departure LIKE \'%\'';
		print ("<input type=\"radio\" name=\"direction\" value=\"arrival\">Arrival<br>\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"departure\">Departure<br>\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"both\" checked>Both<br>\n");
	}
}
else
{
	$filterDirection = 'Arrival_Departure LIKE \'%\'';
	print ("<input type=\"radio\" name=\"direction\" value=\"arrival\">Arrival<br>\n");
	print ("<input type=\"radio\" name=\"direction\" value=\"departure\">Departure<br>\n");
	print ("<input type=\"radio\" name=\"direction\" value=\"both\" checked>Both<br>\n");
}

/* Route Filter */
print ("<label>Route</label><br>\n");
if (isset($_POST['route']))
{
	if ($_POST['route'] == 'domestic')
	{
		$filterRoute = 'Domestic_International LIKE \'Domestic\'';
		print ("<input type=\"radio\" name=\"route\" value=\"domestic\" checked>Domestic<br>\n");
		print ("<input type=\"radio\" name=\"route\" value=\"international\">International<br>\n");
		print ("<input type=\"radio\" name=\"route\" value=\"both\">Both<br>\n");
	}

	if ($_POST['route'] == 'international')
	{
		$filterRoute = 'Domestic_International LIKE \'International\'';
		print ("<input type=\"radio\" name=\"route\" value=\"domestic\">Domestic<br>\n");
		print ("<input type=\"radio\" name=\"route\" value=\"international\" checked>International<br>\n");
		print ("<input type=\"radio\" name=\"route\" value=\"both\">Both<br>\n");
	}

	if ($_POST['route'] == 'both')
	{
		$filterRoute = 'Domestic_International LIKE \'%\'';
		print ("<input type=\"radio\" name=\"route\" value=\"domestic\">Domestic<br>\n");
		print ("<input type=\"radio\" name=\"route\" value=\"international\">International<br>\n");
		print ("<input type=\"radio\" name=\"route\" value=\"both\" checked>Both<br>\n");
	}
}
else
{
	$filterRoute= 'Domestic_International LIKE \'%\'';
	print ("<input type=\"radio\" name=\"route\" value=\"domestic\">Domestic<br>\n");
	print ("<input type=\"radio\" name=\"route\" value=\"international\">International<br>\n");
	print ("<input type=\"radio\" name=\"route\" value=\"both\" checked>Both<br>\n");
}
	
print ("\n<input type=\"button\" onclick=\"window.location.replace('index.php')\" value=\"Reset\"><br>\n");
print ("<input type=\"submit\" value=\"Filter\">\n");
print ("</fieldset>\n</form>\n");

/* building the final query based on selected options */
$finalQuery = 'SELECT * FROM lax WHERE ('.$filterMonth.') AND ('.$filterYear.') AND ('.$filterDirection.') AND ('.$filterTerminal.') AND ('.$filterRoute.')';

print "<!-- ".$finalQuery."; -->\n";

/* opening the sqlite database file */
$dbfile = new PDO('sqlite:../lax.db3');

/* run the query */
$query = $dbfile->query($finalQuery);
$results = $query->fetchAll();

/* closing the access to the database file */
$dbfile = null;

$resultsCount = count($results);
if ($resultsCount <= 1)
{
	print("<p class=\"resultsCount\">$resultsCount result</p>\n");
}
else
{
	print("<p class=\"resultsCount\">$resultsCount results</p>\n");
}

print("<table>\n");
print("<tr><th>Report Period</th><th>Terminal</th><th>Direction</th><th>Route</th><th>Passengers</th></tr>\n");

foreach ($results as $value)
{
	print("<tr><td>".$value['ReportPeriod']."</td><td>".$value['Terminal']."</td><td>".$value['Arrival_Departure']."</td><td>".$value['Domestic_International']."</td><td class=\"count\">".number_format($value['Passenger_Count'])."</td></tr>\n");
}

print("</table>\n");
?>
</body>
</html>
