<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
	<title>LAX Airport Traffic</title>
	<link rel="stylesheet" href="styles.css">
</head>
<body>

<h1>
	<img src="../Los_Angeles_Airport_logo.svg" width="300" height="84" alt="Los Angeles Airport Logo">
	Passenger Traffic By Terminal
</h1>

<p>Source: <a href="https://catalog.data.gov/dataset/los-angeles-international-airport-passenger-traffic-by-terminal-756ee">Data.gov</a></p>

<form method="post" action="index.php">
<fieldset>
<label>Direction</label>
<input type="radio" name="direction" value="arrival">Arrival
<input type="radio" name="direction" value="departure">Departure
<input type="radio" name="direction" value="both" checked>Both

<label>Terminal</label>
<select name="terminal">
<option value="allTerminals" selected="selected">All</option>
<option value="imperial">Imperial Terminal</option>
<option value="misc">Misc. Terminal</option>
<option value="terminal1">Terminal 1</option>
<option value="terminal2">Terminal 2</option>
<option value="terminal3">Terminal 3</option>
<option value="terminal4">Terminal 4</option>
<option value="terminal5">Terminal 5</option>
<option value="terminal6">Terminal 6</option>
<option value="terminal7">Terminal 7</option>
<option value="terminal8">Terminal 8</option>
<option value="tombradley">T. Bradley Int'l Terminal</option>
</select>

<input type="button" onclick="window.location.replace('index.php')" value="Reset">
<input type="submit" value="Filter">
</fieldset>
</form>

<?php

if(isset($_POST['direction']))
{
	if($_POST['direction'] == 'both')
	{
		$filterDirection = 'Arrival_Departure LIKE \'%\'';
	}

	if($_POST['direction'] == 'arrival')
	{
		$filterDirection = 'Arrival_Departure LIKE \'Arrival\'';
	}

	if($_POST['direction'] == 'departure')
	{
		$filterDirection = 'Arrival_Departure LIKE \'Departure\'';
	}
}
else
{
	$filterDirection = 'Arrival_Departure LIKE \'%\'';
}

if(isset($_POST['terminal']))
{
	switch($_POST['terminal'])
	{
		case 'imperial':
			$filterTerminal = 'Terminal LIKE \'Imperial Terminal\'';
			break;
		case 'misc':
			$filterTerminal = 'Terminal LIKE \'Misc. Terminal\'';
			break;
		case 'terminal1':
			$filterTerminal = 'Terminal LIKE \'Terminal 1\'';
			break;
		case 'terminal2':
			$filterTerminal = 'Terminal LIKE \'Terminal 2\'';
			break;
		case 'terminal3':
			$filterTerminal = 'Terminal LIKE \'Terminal 3\'';
			break;
		case 'terminal4':
			$filterTerminal = 'Terminal LIKE \'Terminal 4\'';
			break;
		case 'terminal5':
			$filterTerminal = 'Terminal LIKE \'Terminal 5\'';
			break;
		case 'terminal6':
			$filterTerminal = 'Terminal LIKE \'Terminal 6\'';
			break;
		case 'terminal7':
			$filterTerminal = 'Terminal LIKE \'Terminal 7\'';
			break;
		case 'terminal8':
			$filterTerminal = 'Terminal LIKE \'Terminal 8\'';
			break;
		case 'tombradley':
			$filterTerminal = 'Terminal LIKE \'Tom Bradley International Terminal\'';
			break;
		default:
			$filterTerminal = 'Terminal LIKE \'%\'';
	}
}
else
{
	$filterTerminal = 'Terminal LIKE \'%\'';
}

/* building the final query based on selected options */
$finalQuery = 'SELECT * FROM lax WHERE ('.$filterDirection.') AND ('.$filterTerminal.')';

print "<!-- ".$finalQuery."; -->\n";

/* opening the sqlite database file */
$dbfile = new PDO('sqlite:../lax.db3');

/* run the query */
$query = $dbfile->query($finalQuery);
$results = $query->fetchAll();

/* closing the access to the database file */
$dbfile = null;

print("<table>\n");
print("<tr><th>Report Period</th><th>Terminal</th><th>Arrival / Departure</th><th>Domestic / International</th><th>Passenger Count</th></tr>\n");

foreach ($results as $value)
{
	print("<tr><td>".$value['ReportPeriod']."</td><td>".$value['Terminal']."</td><td>".$value['Arrival_Departure']."</td><td>".$value['Domestic_International']."</td><td>".$value['Passenger_Count']."</td></tr>\n");
}

?>
</table>
</body>
</html>
