<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
	<title>LAX Airport Traffic</title>
	<link rel="stylesheet" href="styles.css">
</head>
<body>

<h1>
	<img src="../Los_Angeles_Airport_logo.svg" width="300" height="84" alt="Los Angeles Airport Logo">
	Passenger Traffic By Terminal
</h1>

<p>Source: <a href="https://catalog.data.gov/dataset/los-angeles-international-airport-passenger-traffic-by-terminal-756ee">Data.gov</a></p>

<form method="post" action="index.php">
<fieldset>
<?php
print ("<label>Direction</label>\n");

if (isset($_POST['direction']))
{
	if ($_POST['direction'] == 'arrival')
	{
		print ("<input type=\"radio\" name=\"direction\" value=\"arrival\" checked>Arrival\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"departure\">Departure\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"both\">Both\n");
	}

	if ($_POST['direction'] == 'departure')
	{
		print ("<input type=\"radio\" name=\"direction\" value=\"arrival\">Arrival\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"departure\" checked>Departure\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"both\">Both\n");
	}

	if ($_POST['direction'] == 'both')
	{
		print ("<input type=\"radio\" name=\"direction\" value=\"arrival\">Arrival\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"departure\">Departure\n");
		print ("<input type=\"radio\" name=\"direction\" value=\"both\" checked>Both\n");
	}
}
else
{
	print ("<input type=\"radio\" name=\"direction\" value=\"arrival\">Arrival\n");
	print ("<input type=\"radio\" name=\"direction\" value=\"departure\">Departure\n");
	print ("<input type=\"radio\" name=\"direction\" value=\"both\" checked>Both\n");
}

print ("<label>Terminal</label>&nbsp;\n");
print ("<select name=\"terminal\">\n");

$terminals = [
	"allTerminals" => "All",
	"imperial" => "Imperial Terminal",
	"misc" => "Misc. Terminal",
	"terminal1" => "Terminal 1",
	"terminal2" => "Terminal 2",
	"terminal3" => "Terminal 3",
	"terminal4" => "Terminal 4",
	"terminal5" => "Terminal 5",
	"terminal6" => "Terminal 6",
	"terminal7" => "Terminal 7",
	"terminal8" => "Terminal 8",
	"tombradley" => "T. Bradley Int'l Terminal",
];

if (isset($_POST['terminal']))
{
	foreach ($terminals as $key => $value)
	{
		if ($_POST['terminal'] == $key)
		{
			print ("<option value=\"$key\" selected=\"selected\">$value</option>\n");
		}
		else
		{
			print ("<option value=\"$key\">$value</option>\n");
		}
	}
}
else
{
	foreach ($terminals as $key => $value)
	{
		if ($key == 'allTerminals')
		{
			print ("<option value=\"$key\" selected=\"selected\">$value</option>\n");
		}
		else
		{
			print ("<option value=\"$key\">$value</option>\n");
		}
	}
}

print ("</select>\n");
print ("<label>Route</label>\n");

if (isset($_POST['route']))
{
	if ($_POST['route'] == 'domestic')
	{
		print ("<input type=\"radio\" name=\"route\" value=\"domestic\" checked>Domestic\n");
		print ("<input type=\"radio\" name=\"route\" value=\"international\">International\n");
		print ("<input type=\"radio\" name=\"route\" value=\"both\">Both\n");
	}

	if ($_POST['route'] == 'international')
	{
		print ("<input type=\"radio\" name=\"route\" value=\"domestic\">Domestic\n");
		print ("<input type=\"radio\" name=\"route\" value=\"international\" checked>International\n");
		print ("<input type=\"radio\" name=\"route\" value=\"both\">Both\n");
	}

	if ($_POST['route'] == 'both')
	{
		print ("<input type=\"radio\" name=\"route\" value=\"domestic\">Domestic\n");
		print ("<input type=\"radio\" name=\"route\" value=\"international\">International\n");
		print ("<input type=\"radio\" name=\"route\" value=\"both\" checked>Both\n");
	}
}
else
{
	print ("<input type=\"radio\" name=\"route\" value=\"domestic\">Domestic\n");
	print ("<input type=\"radio\" name=\"route\" value=\"international\">International\n");
	print ("<input type=\"radio\" name=\"route\" value=\"both\" checked>Both\n");
}
	
print ("\n<input type=\"button\" onclick=\"window.location.replace('index.php')\" value=\"Reset\">\n");
print ("<input type=\"submit\" value=\"Filter\">\n");
print ("</fieldset>\n</form>\n");

if (isset($_POST['direction']))
{
	if ($_POST['direction'] == 'both')
	{
		$filterDirection = 'Arrival_Departure LIKE \'%\'';
	}

	if ($_POST['direction'] == 'arrival')
	{
		$filterDirection = 'Arrival_Departure LIKE \'Arrival\'';
	}

	if ($_POST['direction'] == 'departure')
	{
		$filterDirection = 'Arrival_Departure LIKE \'Departure\'';
	}
}
else
{
	$filterDirection = 'Arrival_Departure LIKE \'%\'';
}

if (isset($_POST['terminal']))
{
	switch($_POST['terminal'])
	{
		case 'imperial':
			$filterTerminal = 'Terminal LIKE \'Imperial Terminal\'';
			break;
		case 'misc':
			$filterTerminal = 'Terminal LIKE \'Misc. Terminal\'';
			break;
		case 'terminal1':
			$filterTerminal = 'Terminal LIKE \'Terminal 1\'';
			break;
		case 'terminal2':
			$filterTerminal = 'Terminal LIKE \'Terminal 2\'';
			break;
		case 'terminal3':
			$filterTerminal = 'Terminal LIKE \'Terminal 3\'';
			break;
		case 'terminal4':
			$filterTerminal = 'Terminal LIKE \'Terminal 4\'';
			break;
		case 'terminal5':
			$filterTerminal = 'Terminal LIKE \'Terminal 5\'';
			break;
		case 'terminal6':
			$filterTerminal = 'Terminal LIKE \'Terminal 6\'';
			break;
		case 'terminal7':
			$filterTerminal = 'Terminal LIKE \'Terminal 7\'';
			break;
		case 'terminal8':
			$filterTerminal = 'Terminal LIKE \'Terminal 8\'';
			break;
		case 'tombradley':
			$filterTerminal = 'Terminal LIKE \'Tom Bradley International Terminal\'';
			break;
		default:
			$filterTerminal = 'Terminal LIKE \'%\'';
	}
}
else
{
	$filterTerminal = 'Terminal LIKE \'%\'';
}

if (isset($_POST['route']))
{
	if ($_POST['route'] == 'both')
	{
		$filterRoute = 'Domestic_International LIKE \'%\'';
	}

	if ($_POST['route'] == 'domestic')
	{
		$filterRoute = 'Domestic_International LIKE \'Domestic\'';
	}

	if ($_POST['route'] == 'international')
	{
		$filterRoute = 'Domestic_International LIKE \'International\'';
	}
}
else
{
	$filterRoute= 'Domestic_International LIKE \'%\'';
}

/* building the final query based on selected options */
$finalQuery = 'SELECT * FROM lax WHERE ('.$filterDirection.') AND ('.$filterTerminal.') AND ('.$filterRoute.')';

print "<!-- ".$finalQuery."; -->\n";

/* opening the sqlite database file */
$dbfile = new PDO('sqlite:../lax.db3');

/* run the query */
$query = $dbfile->query($finalQuery);
$results = $query->fetchAll();

/* closing the access to the database file */
$dbfile = null;

print("<table>\n");
print("<tr><th>Report Period</th><th>Terminal</th><th>Arrival / Departure</th><th>Domestic / International</th><th>Passenger Count</th></tr>\n");

foreach ($results as $value)
{
	print("<tr><td>".$value['ReportPeriod']."</td><td>".$value['Terminal']."</td><td>".$value['Arrival_Departure']."</td><td>".$value['Domestic_International']."</td><td class=\"count\">".number_format($value['Passenger_Count'])."</td></tr>\n");
}

?>
</table>
</body>
</html>
